## ros-one-pr2-power-board 1.1.10-5noble.20251023.0136

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 3.0.2)
project(pr2_power_board)

find_package(catkin COMPONENTS roscpp diagnostic_updater diagnostic_msgs pr2_msgs message_generation)
find_package(Boost REQUIRED COMPONENTS thread program_options)
find_library(LOG4CXX_LIBRARY log4cxx)

add_service_files(
  FILES
  PowerBoardCommand.srv
  PowerBoardCommand2.srv
)

catkin_python_setup()

## Generate added messages and services with any dependencies listed here
generate_messages()

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_executable(power_node src/power_node/power_node.cpp)
add_dependencies(power_node
   ${catkin_EXPORTED_TARGETS}
   ${pr2_power_board_EXPORTED_TARGETS})

add_executable(power_node2 src/power_node/power_node2.cpp)
add_dependencies(power_node2 
   ${catkin_EXPORTED_TARGETS}
   ${pr2_power_board_EXPORTED_TARGETS})

target_link_libraries(power_node 
   ${LOG4CXX_LIBRARY}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES})
target_link_libraries(power_node2 
   ${LOG4CXX_LIBRARY}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES})

catkin_package(CATKIN_DEPENDS message_runtime roscpp diagnostic_updater diagnostic_msgs pr2_msgs)

install(TARGETS power_node power_node2
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS 
   scripts/fake_powerboard.py
   scripts/send_command
   scripts/test_power.py
   scripts/view_power
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY ui
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES
   gui_power.launch
   gui_power2.launch
   power.xml
   pr_wiring.yaml
   test_wires.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-one-pr2-power-board 1.1.10-5jammy.20251023.0138

=== debian/changelog ===
ros-one-pr2-power-board (1.1.10-5jammy.20251023.0138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 01:38:43 +0000

ros-one-pr2-power-board (1.1.10-0jammy) jammy; urgency=high

  * fixes for boost dependencies
  * cmake changes for warnings under noetic
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 May 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.9-0jammy) jammy; urgency=high

  * added dependency to pr2_power_drivers for boost_program_options
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.8-0jammy) jammy; urgency=high

  * fix for python3 (#73 <https://github.com/pr2/pr2_power_drivers/issues/73>)
    * fix by 2to3 -w -f except .
    * fix by 2to3 -w -f print .
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.7-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Dec 2018 00:00:00 -0000

ros-one-pr2-power-board (1.1.6-0jammy) jammy; urgency=high

  * change maintainer to ROS orphaned package maintaner
  * pr2_power_board: add missing include dirs
  * Contributors: Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Feb 2018 00:00:00 -0000

ros-one-pr2-power-board (1.1.5-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-power-board (1.1.3-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-power-board
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, liblog4cxx-dev, python3-setuptools, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-message-generation, ros-one-pr2-msgs, ros-one-roscpp
Homepage: http://www.ros.org/wiki/pr2_power_board
Standards-Version: 3.9.2

Package: ros-one-pr2-power-board
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-message-runtime, ros-one-pr2-msgs, ros-one-roscpp, ros-one-rospy
Description: This provides a ROS node for the PR2 Power Board.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-power-board//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-power-board 1.1.10-5jammy.20260220.2228

=== debian/changelog ===
ros-one-pr2-power-board (1.1.10-5jammy.20260220.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 22:28:07 +0000

## ros-one-pr2-power-board 1.1.10-5noble.20251023.0136

=== debian/changelog ===
ros-one-pr2-power-board (1.1.10-5noble.20251023.0136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 01:36:21 +0000

ros-one-pr2-power-board (1.1.10-0noble) noble; urgency=high

  * fixes for boost dependencies
  * cmake changes for warnings under noetic
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 May 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.9-0noble) noble; urgency=high

  * added dependency to pr2_power_drivers for boost_program_options
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.8-0noble) noble; urgency=high

  * fix for python3 (#73 <https://github.com/pr2/pr2_power_drivers/issues/73>)
    * fix by 2to3 -w -f except .
    * fix by 2to3 -w -f print .
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-pr2-power-board (1.1.7-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Dec 2018 00:00:00 -0000

ros-one-pr2-power-board (1.1.6-0noble) noble; urgency=high

  * change maintainer to ROS orphaned package maintaner
  * pr2_power_board: add missing include dirs
  * Contributors: Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Feb 2018 00:00:00 -0000

ros-one-pr2-power-board (1.1.5-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-power-board (1.1.3-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

## ros-one-pr2-power-board 1.1.10-5noble.20260220.2240

=== debian/changelog ===
ros-one-pr2-power-board (1.1.10-5noble.20260220.2240) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 22:40:41 +0000
